# Sitemapper Installation Guide

Welcome to the installation guide for Sitemapper, a tool for parsing and analyzing sitemaps.

## Installation

Install Sitemapper by executing the following command in your terminal:

```bash
curl -sSL https://git.nixc.us/Nixius/sitemapper/raw/branch/main/install.sh | sudo bash
```

This command fetches the `install.sh` script directly and runs it, handling the installation of the correct binary for your system's architecture.

## Usage

Once installed, you can use Sitemapper to analyze a sitemap by providing the URL of the sitemap or just the root URL of the website. Sitemapper will attempt to find the sitemap at the root of the URL if not explicitly specified.

### Example Usage

1. **Specify the Sitemap URL**:
   ```bash
   sitemapper --url=https://www.improvingmipractices.org/sitemap.xml --csv
   ```

2. **Specify the Root URL**:
   ```bash
   sitemapper --url=https://www.improvingmipractices.org --csv
   ```

In both cases, Sitemapper will fetch the sitemap, parse it, and output the results in CSV format if the `--csv` flag is provided.

## Note

This installation is intended as a one-off setup. No updates or maintenance will be provided.

